# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    ftpmonitor
%define version 0.70
%define release 1.2006mcnl
%define summary monitors incoming connections to ftp
%define section System/Monitoring

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.cse.iitb.ac.in/nilesh/linux/ftpmonitor/
#KDE_APPS	http://www.kde-apps.org/content/show.php?content=11918
License:        GPL
Group:          Network
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libkdebase4-devel

%description
Its a simple panel applet, which monitors incoming connections to ftpd(vsftpd/ncftpd/pure-ftpd/proftpd) and generates passive popups.

For pure-ftpd this applet is just a frontend for pure-ftpd.
With ncftpd to run this applet rither you need to be root or add ncftpd_spy in sudoers file so that you can run it without non-root previlages
For vsftpd it uses ps -fe's output to guess ftp connections
For pro-ftpd, it act as frontend to ftpwho command.

rm -rf $RPM_BUILD_ROOT

%prep

%setup -q

%build
%configure 

%make 

%install

%makeinstall 


%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%doc COPYING AUTHORS ChangeLog
%{_libdir}/libftpmonitor.la
%{_libdir}/libftpmonitor.so
%{_datadir}/apps/ftpmonitor/pics/ftpmonitor-connected.png
%{_datadir}/apps/ftpmonitor/pics/ftpmonitor-icon.png
%{_datadir}/apps/ftpmonitor/pics/ftpmonitor-idle.png
%{_datadir}/apps/kicker/applets/ftpmonitor.desktop
%{_datadir}/doc/HTML/en/ftpmonitor/common
%{_datadir}/doc/HTML/en/ftpmonitor/index.cache.bz2
%{_datadir}/doc/HTML/en/ftpmonitor/index.docbook
%{_datadir}/locale/da/LC_MESSAGES/ftpmonitor.mo
%{_datadir}/locale/de/LC_MESSAGES/ftpmonitor.mo
%{_datadir}/locale/fr/LC_MESSAGES/ftpmonitor.mo
%{_datadir}/locale/sk/LC_MESSAGES/ftpmonitor.mo
%{_datadir}/locale/hu/LC_MESSAGES/ftpmonitor.mo
%{_datadir}/locale/it/LC_MESSAGES/ftpmonitor.mo


%changelog 

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.70-1.2006mcnl
- Mandriva 2006 rebuild

*Sun Mar 27 2005 Marco Meijer <marco@mandrivaclub.nl> 0.70-1.101mcnl
new version

*Tue Dec 07 2004 Marco Meijer <marco@mandrivaclub.nl> 0.60-1.101mcnl
0.60 build for Mandrake 10.1

*Fri Aug 20 2004 Tux Brothers <gerard . at . Mandrivaclub dot . nl> 0.60-1mcnl
new version www.mandrivaclub.nl

*Sat Jun 19 2004 Marco Meijer <marco@mandrivaclub.nl> 0.50-1mcnl
new version www.mandrivaclub.nl



